{

    "AbilityName" : "TestPlayer_Ability_Tianheng_09",

    "AbilityStacking": "Unique",



    "DefaultModifier" :

    {

        "OnHitOther" :

        [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "AttackModifier",

                "Target" : "Self"

            }

        ]

    },



    "Modifiers" :

    {

        "AttackModifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.25,



            "OnAdded" :

            [

                {  

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Buddy_Field_Death_Explode",

                    "Target" : "SelfAttackTarget",

                    "FireEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        //"NeedRaycastGround": true,

                        //"RaycastGroundOffset": 0.0,

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",



                            "AttachPoint" : "MiddlePoint",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : false

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

        

                            "IsUseRotationY" : false,

                            "IsUseRotationXZ" : false

                        }

                    }

                }

            ]

        }

    }

}